libio-aio-perl (4.81-1build4) stonking; urgency=medium

  * No-change rebuild against perl 5.42.3

 -- Ural Tunaboyu <ural@ubuntu.com>  Thu, 20 Aug 2026 10:25:55 -0700

libio-aio-perl (4.81-1build3) plucky; urgency=medium

  * No-change rebuild for perl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 21:36:19 +0200

libio-aio-perl (4.81-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:06:17 +0000

libio-aio-perl (4.81-1build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:02:27 +0100

libio-aio-perl (4.81-1) unstable; urgency=medium

  * Import upstream version 4.81.
  * Refresh spelling.patch (offset).
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Feb 2024 18:09:57 +0100

libio-aio-perl (4.80-1) unstable; urgency=medium

  * Import upstream version 4.80.
  * Refresh spelling.patch (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Thu, 06 Apr 2023 20:25:29 +0200

libio-aio-perl (4.79-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * FTCBFS: does not pass --host to configure. (Closes: #1023490)

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 Nov 2022 21:11:53 +0100

libio-aio-perl (4.79-1) unstable; urgency=medium

  * Import upstream versions 4.78, 4.79.
  * Update spelling.patch.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Tue, 04 Oct 2022 23:00:03 +0200

libio-aio-perl (4.76-1) unstable; urgency=medium

  * Import upstream version 4.76.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Mon, 27 Sep 2021 12:25:31 +0200

libio-aio-perl (4.75-1) unstable; urgency=medium

  * Import upstream version 4.75.
  * Drop pod.patch, fixed upstream.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Jan 2021 17:59:13 +0100

libio-aio-perl (4.73-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.4.1, no changes needed.

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Import upstream version 4.73.
  * Update years of upstream and packaging copyright.
  * Refresh spelling.patch (offset).
  * Declare compliance with Debian Policy 4.5.1.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * Add new patch to fix documentation (syntax) typo.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Dec 2020 03:13:40 +0100

libio-aio-perl (4.72-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.72
  * Bump compat to 12 to Standards-Version to 4.4.0
  * Update d/copyright years
  * Update spelling patch

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 16 Jul 2019 19:30:21 +0530

libio-aio-perl (4.60-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/clean.
    libeio/config.h{,.in} was moved to config.h{,.in}.
  * Refresh spelling.patch (offset).
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.2.1.
  * Add build dependency on libperl-dev.

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Sep 2018 19:58:13 +0200

libio-aio-perl (4.50-1) unstable; urgency=medium

  * New upstream release.
  * Refresh spelling.patch (offset).
  * Declare compliance with Debian Policy 4.2.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Aug 2018 17:40:13 +0200

libio-aio-perl (4.40-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * New upstream release.
  * Install the treescan utility into /usr/bin instead of as an example.
    Thanks to Marc Lehmann for the bug report, and for adding
    documentation to the script in this release. (Closes: #881714)
  * Update years of upstream and packaging copyright.
  * Refresh spelling.patch (offset), and add one more fix.
  * Declare compliance with Debian Policy 4.1.4.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Mon, 09 Apr 2018 21:17:30 +0200

libio-aio-perl (4.34-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * New upstream release.
  * Refresh spelling.patch (offset).
  * Add more fixes to spelling.patch.
  * Drop duplicate-constant.patch, fixed upstream.
  * Update years of upstream copyright.
  * Set bindnow linker flag in debian/rules.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Oct 2016 15:06:56 +0100

libio-aio-perl (4.33-2) unstable; urgency=medium

  * Recreate def0.h before configuring. This way we get the list of
    defines for constants in AIO.xs updated.
  * Drop workaround-missing-O_CLOEXEC.patch. The #define is now in def0.h.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jan 2016 03:45:07 +0100

libio-aio-perl (4.33-1) unstable; urgency=medium

  * New upstream release.
  * Update years of upstream and packaging copyright.
  * Add new build dependency.
  * Don't install debian/Maintainership.txt in the binary package.
  * Add a patch to fix spelling mistakes in the POD.
  * Add a patch to fix a "Constant subroutine ... redefined" warning.
    Thanks to autopkgtest.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jan 2016 01:00:02 +0100

libio-aio-perl (4.32-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
  * Update years of upstream and packaging copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sat, 31 Oct 2015 21:14:37 +0100

libio-aio-perl (4.31-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: update license for libeio/ecb.h.

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Jun 2014 15:05:43 +0200

libio-aio-perl (4.30-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.
  * Update years of copyright.

 -- gregor herrmann <gregoa@debian.org>  Tue, 06 May 2014 19:50:42 +0200

libio-aio-perl (4.20-1) unstable; urgency=medium

  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * New upstream release.
  * debian/rules: make removal verbose.
  * Update years of upstream copyright.
  * Add /me to Uploaders.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 17 Feb 2014 21:34:33 +0100

libio-aio-perl (4.18-1) unstable; urgency=low

  * Team upload

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Alessandro Ghedini ]
  * New upstream release
  * Remove myself from Uploaders
  * Bump upstream copyright years
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 13 Oct 2013 17:51:43 +0200

libio-aio-perl (4.15-1) unstable; urgency=low

  * New upstream release
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Update copyright and license for libeio/* files
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat level to 9

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 10 Apr 2012 23:19:58 +0200

libio-aio-perl (4.12-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 31 Dec 2011 01:06:39 +0100

libio-aio-perl (4.11-2) unstable; urgency=low

  * Fix FTBS on platforms not having O_CLOEXEC (Closes: #645543)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 20 Oct 2011 21:44:42 +0200

libio-aio-perl (4.11-1) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release.
  * Remove patch, not needed anymore.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Oct 2011 22:34:35 +0200

libio-aio-perl (4.00-1) unstable; urgency=low

  * New upstream release
  * Refreshed ad forwarded patch

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 24 Jul 2011 12:05:42 +0100

libio-aio-perl (3.93-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * New upstream release

  [ gregor herrmann ]
  * Refresh patch (offset).
  * debian/copyright: add information about new file.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 04 Jul 2011 20:50:42 +0100

libio-aio-perl (3.90-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * New upstream release
  * Refresh patch
  * Add myself to Uploader
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2 (no changes needed)

  [ Nicholas Bamber ]
  * Removed unsupported build options
  * Added 'allows to' -> 'allows one to' to spelling patch

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 11 Jun 2011 10:36:44 +0100

libio-aio-perl (3.80-1) unstable; urgency=low

  * Updated watch file
  * New upstream release
  * Updated copyright
  * Refreshed patch

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 30 Mar 2011 10:29:02 +0100

libio-aio-perl (3.71-1) unstable; urgency=low

  * Taking over for the Debian Perl Group
  * Updating debian/watch
  * New upstream release
  * Upped standards version to 3.9.1
  * Upped compat level to 7
  * Added debian/source/format
  * Stopped installing README
  * Updated descriptions
  * Refreshed debian/rules
  * Added debian/clean
  * Refreshed debian/copyright
  * Added homepage and svn repositories
  * Added patch for spelling mistakes
  * Installing 'treescan' as an example
     Note: In tests treescan performed much worse
     than equivalent find commands. The only basis
     for documentation that could be found would
     have had copyright issues. And treescan was
     not installed in previous versions.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 22 Jan 2011 17:11:12 +0000

libio-aio-perl (2.4-1) unstable; urgency=low

  * Initial release (Closes: #429316)

 -- Pascal Hakim <pasc@debian.org>  Wed, 22 Aug 2007 22:13:35 +1000
